YUI Flash Component Documentation |
Class RadialAxisRenderer

Package | com.yahoo.astra.fl.charts.axes
Class | public class RadialAxisRenderer
Inheritance | RadialAxisRenderer fl.core.UIComponent
Implements | IRadialAxisRenderer

The default axis renderer for radial axes.

Public Properties

| Property | Defined by
--- | --- | ---
|  | length : Number [read-only] The total length of the axis renderer, in pixels. | RadialAxisRenderer
|  | minorTicks : Array An Array of AxisData objects specifying the positions of the minor ticks. | RadialAxisRenderer
|  | ticks : Array An Array of AxisData objects specifying the positions of the ticks. | RadialAxisRenderer

Public Methods

| Method | Defined by
--- | --- | ---
|  | RadialAxisRenderer() Constructor. | RadialAxisRenderer
|  | getStyleDefinition():Object [static] | RadialAxisRenderer
|  | updateBounds():void | RadialAxisRenderer

Property detail

length | property

`length:Number` [read-only]

The total length of the axis renderer, in pixels.

Implementation
`public function get length():Number`

minorTicks | property |

`minorTicks:Array` [read-write]

An Array of AxisData objects specifying the positions of the minor ticks.

Implementation
`public function get minorTicks():Array`
`public function set minorTicks(value:Array):void`

ticks | property |

`ticks:Array` [read-write]

An Array of AxisData objects specifying the positions of the ticks.

Implementation
`public function get ticks():Array`
`public function set ticks(value:Array):void`
Constructor detail

RadialAxisRenderer | () | constructor

`public function RadialAxisRenderer()`

Constructor.

Method detail

getStyleDefinition | () | method

`public static function getStyleDefinition():Object`

Returns

| `Object`

updateBounds | () | method |

`public function updateBounds():void`